%define name pitivi
%define major 0
%define libname %mklibname %name %major
%define gtk2_version 2.4.0

Summary: Pitivi non linear video editor under linux 
Name: %name
Version: 0.1.1
Release: 1mdk
Source0: http://prdownloads.sourceforge.net/pitivi/%{name}-%{version}.tar.bz2
License: GPL
Group: Video
URL: http://www.pitivi.org
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  gstreamer-plugins-devel
Requires:	gstreamer

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Pitivi is a Non Linear Video Editor using the popular GStreamer media
framework


%package -n %libname
Group:		System/Libraries
Summary:	Shared libraries of the Pitivi editor
%description -n %libname
This contains the shared libraries needed to run Pitivi.


%package -n %libname-devel
Summary: 	Development headers for the Pitivi Editor
Group:          Development/C
Requires:       %{libname} = %{version}-%release
Provides:	lib%name-devel = %name-%version


%description -n %libname-devel
This package provides the necessary development libraries and include
files to allow you to embed the editor in other applications or call upon its
functionality.

%prep
%setup -q

%build
%define __libtoolize true
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%name" icon="%name.png" longtitle="Non-linear video editor" title="Pitivi" needs=x11 section="Multimedia/Video"
EOF
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
ln -s %{_datadir}/pixmaps/pitivi/pitivi-48.png %buildroot/%_liconsdir/%name.png
convert -scale 32 pixmaps/pitivi-48.png %buildroot/%_iconsdir/%name.png
convert -scale 16 pixmaps/pitivi-48.png %buildroot/%_miconsdir/%name.png
%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus
%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root,-)
%doc AUTHORS  ChangeLog NEWS README
%dir %_sysconfdir/pitivi
%config(noreplace) %_sysconfdir/pitivi/pitivi
%{_datadir}/pixmaps/pitivi
%{_datadir}/pitivi/
%{_bindir}/pitivi
%_datadir/applications/pitivi.desktop
%_menudir/%name
%_liconsdir/*png
%_iconsdir/*png
%_miconsdir/*png


%files -n %libname
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n %libname-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.a
%_includedir/gnl/
%_datadir/gtk-doc/html/gnonlin

%changelog
* Mon Dec 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- initial package

* Thu Dec  2 2004 root <root@pas-r06p01.pas.epita.fr> - 
- Initial build.
